Summary:       IPMI remote console and system management software
Name:          freeipmi
Version:       1.6.10
Release:       5%{?dist}
License:       GPLv3+
URL:           http://www.gnu.org/software/freeipmi/
Source0:       http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.gz
Source1:       bmc-watchdog.service
Source2:       ipmidetectd.service
Source3:       ipmiseld.service

BuildRequires: libgcrypt-devel texinfo systemd  gcc make
%{?systemd_requires}

%description
The FreeIPMI project provides "Remote-Console" (out-of-band) and "System Management Software"
(in-band) based on Intelligent Platform Management Interface specification.

%package          devel
Summary:          Development package for FreeIPMI
Requires:         %{name} = %{version}-%{release}

%description      devel
Development package for FreeIPMI. This package includes the FreeIPMI header files and libraries.

%package          bmc-watchdog
Summary:          IPMI BMC watchdog
Requires:         %{name} = %{version}-%{release}

%description      bmc-watchdog
Provides a watchdog daemon for OS monitoring and recovery.

%package          ipmidetectd
Summary:          IPMI node detection monitoring daemon
Requires:         %{name} = %{version}-%{release}

%description      ipmidetectd
Provides a tool and a daemon for IPMI node detection.

%package          ipmiseld
Summary:          IPMI SEL syslog logging daemon
Requires:         %{name} = %{version}-%{release}

%description      ipmiseld
IPMI SEL syslog logging daemon.

%prep
%autosetup -n %{name}-%{version} -p1

%build
export CFLAGS="-D_GNU_SOURCE $RPM_OPT_FLAGS"
%configure --disable-static
%make_build

%install
%make_install
rm -rf %{buildroot}%{_infodir}/dir
echo freeipmi > %{buildroot}%{_localstatedir}/lib/freeipmi/ipckey

find %{buildroot} -name '*.la' -delete -print

install -m755 -d %{buildroot}%{_unitdir}
install -pm644 %SOURCE1 %SOURCE2 %SOURCE3 %{buildroot}%{_unitdir}/

rm -frv %{buildroot}%{_initrddir} %{buildroot}%{_sysconfdir}/init.d

%post bmc-watchdog
%systemd_post bmc-watchdog.service

%preun bmc-watchdog
%systemd_preun bmc-watchdog.service

%postun bmc-watchdog
%systemd_postun_with_restart bmc-watchdog.service

%post ipmiseld
%systemd_post ipmiseld.service

%preun ipmiseld
%systemd_preun ipmiseld.service

%postun ipmiseld
%systemd_postun_with_restart ipmiseld.service

%post ipmidetectd
%systemd_post ipmidetectd.service

%preun ipmidetectd
%systemd_preun ipmidetectd.service

%postun ipmidetectd
%systemd_postun_with_restart ipmidetectd.service

%triggerun -- freeipmi-bmc-watchdog < 1.1.1-2
/usr/bin/systemd-sysv-convert --save bmc-watchdog >/dev/null 2>&1 ||:

/sbin/chkconfig --del bmc-watchdog >/dev/null 2>&1 || :
/bin/systemctl try-restart bmc-watchdog.service >/dev/null 2>&1 || :

%triggerun -- freeipmi-ipmidetectd < 1.1.1-2
/usr/bin/systemd-sysv-convert --save ipmidetectd >/dev/null 2>&1 ||:

/sbin/chkconfig --del ipmidetectd >/dev/null 2>&1 || :
/bin/systemctl try-restart ipmidetectd.service >/dev/null 2>&1 || :

%files
%dir %{_sysconfdir}/freeipmi/
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/freeipmi/freeipmi.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/freeipmi/ipmidetect.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/freeipmi/freeipmi_interpret_sel.conf
%attr(0644,root,root) %config(noreplace) %{_sysconfdir}/freeipmi/freeipmi_interpret_sensor.conf
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/freeipmi/libipmiconsole.conf
%{_libdir}/libipmiconsole*so.*
%{_libdir}/libfreeipmi*so.*
%{_libdir}/libipmidetect*so.*
%{_libdir}/libipmimonitoring.so.*
%{_localstatedir}/lib/*
%{_sbindir}/*
%dir %{_localstatedir}/cache/ipmimonitoringsdrcache
%doc %{_infodir}/*
%doc %{_defaultdocdir}/%{name}/AUTHORS
%doc %{_defaultdocdir}/%{name}/COPYING
%doc %{_defaultdocdir}/%{name}/ChangeLog
%doc %{_defaultdocdir}/%{name}/ChangeLog.0
%doc %{_defaultdocdir}/%{name}/INSTALL
%doc %{_defaultdocdir}/%{name}/NEWS
%doc %{_defaultdocdir}/%{name}/README
%doc %{_defaultdocdir}/%{name}/README.argp
%doc %{_defaultdocdir}/%{name}/README.build
%doc %{_defaultdocdir}/%{name}/README.openipmi
%doc %{_defaultdocdir}/%{name}/TODO
%doc %{_defaultdocdir}/%{name}/COPYING.ipmiping
%doc %{_defaultdocdir}/%{name}/COPYING.ipmipower
%doc %{_defaultdocdir}/%{name}/COPYING.ipmiconsole
%doc %{_defaultdocdir}/%{name}/COPYING.ipmimonitoring
%doc %{_defaultdocdir}/%{name}/COPYING.pstdout
%doc %{_defaultdocdir}/%{name}/COPYING.ipmidetect
%doc %{_defaultdocdir}/%{name}/COPYING.ipmi-fru
%doc %{_defaultdocdir}/%{name}/COPYING.ipmi-dcmi
%doc %{_defaultdocdir}/%{name}/COPYING.sunbmc
%doc %{_defaultdocdir}/%{name}/COPYING.ZRESEARCH
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmiping
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmipower
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmiconsole
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmimonitoring
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.pstdout
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmidetect
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmi-fru
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmi-dcmi
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmiping.UC
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmipower.UC
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmiconsole.UC
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmimonitoring.UC
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.pstdout.UC
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmidetect.UC
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmi-fru.UC
%doc %{_defaultdocdir}/%{name}/freeipmi-coding.txt
%doc %{_defaultdocdir}/%{name}/freeipmi-design.txt
%doc %{_defaultdocdir}/%{name}/freeipmi-hostrange.txt
%doc %{_defaultdocdir}/%{name}/freeipmi-libraries.txt
%doc %{_defaultdocdir}/%{name}/freeipmi-bugs-issues-and-workarounds.txt
%doc %{_defaultdocdir}/%{name}/freeipmi-testing.txt
%doc %{_defaultdocdir}/%{name}/freeipmi-oem-documentation-requirements.txt
%dir %{_defaultdocdir}/%{name}
%dir %{_defaultdocdir}/%{name}/contrib
%dir %{_defaultdocdir}/%{name}/contrib/ganglia
%doc %{_defaultdocdir}/%{name}/contrib/ganglia/*
%dir %{_defaultdocdir}/%{name}/contrib/nagios
%doc %{_defaultdocdir}/%{name}/contrib/nagios/*
%dir %{_defaultdocdir}/%{name}/contrib/pet
%doc %{_defaultdocdir}/%{name}/contrib/pet/*
%{_mandir}/man5/*
%{_mandir}/man7/*
%{_mandir}/man8/*
%exclude %{_sbindir}/bmc-watchdog
%exclude %{_sbindir}/ipmidetectd
%exclude %{_sbindir}/ipmiseld
%exclude %{_mandir}/man5/ipmidetectd.conf.5*
%exclude %{_mandir}/man5/ipmiseld.conf.5*
%exclude %{_mandir}/man8/bmc-watchdog.8*
%exclude %{_mandir}/man8/ipmidetectd.8*
%exclude %{_mandir}/man8/ipmiseld.8*

%files devel
%dir %{_defaultdocdir}/%{name}/contrib/libipmimonitoring
%doc %{_defaultdocdir}/%{name}/contrib/libipmimonitoring/*
%{_libdir}/libipmiconsole.so
%{_libdir}/libfreeipmi.so
%{_libdir}/libipmidetect.so
%{_libdir}/libipmimonitoring.so
%dir %{_includedir}/freeipmi
%dir %{_includedir}/freeipmi/api
%dir %{_includedir}/freeipmi/cmds
%dir %{_includedir}/freeipmi/debug
%dir %{_includedir}/freeipmi/driver
%dir %{_includedir}/freeipmi/fiid
%dir %{_includedir}/freeipmi/fru
%dir %{_includedir}/freeipmi/interface
%dir %{_includedir}/freeipmi/interpret
%dir %{_includedir}/freeipmi/locate
%dir %{_includedir}/freeipmi/payload
%dir %{_includedir}/freeipmi/record-format
%dir %{_includedir}/freeipmi/record-format/oem
%dir %{_includedir}/freeipmi/sdr
%dir %{_includedir}/freeipmi/sdr/oem
%dir %{_includedir}/freeipmi/sel
%dir %{_includedir}/freeipmi/sensor-read
%dir %{_includedir}/freeipmi/spec
%dir %{_includedir}/freeipmi/spec/oem
%dir %{_includedir}/freeipmi/templates
%dir %{_includedir}/freeipmi/templates/oem
%dir %{_includedir}/freeipmi/util
%{_includedir}/ipmiconsole.h
%{_includedir}/ipmidetect.h
%{_includedir}/ipmi_monitoring*.h
%{_includedir}/freeipmi/*.h
%{_includedir}/freeipmi/api/*.h
%{_includedir}/freeipmi/cmds/*.h
%{_includedir}/freeipmi/debug/*.h
%{_includedir}/freeipmi/driver/*.h
%{_includedir}/freeipmi/fiid/*.h
%{_includedir}/freeipmi/fru/*.h
%{_includedir}/freeipmi/interface/*.h
%{_includedir}/freeipmi/interpret/*.h
%{_includedir}/freeipmi/locate/*.h
%{_includedir}/freeipmi/payload/*.h
%{_includedir}/freeipmi/record-format/*.h
%{_includedir}/freeipmi/record-format/oem/*.h
%{_includedir}/freeipmi/sdr/*.h
%{_includedir}/freeipmi/sdr/oem/*.h
%{_includedir}/freeipmi/sel/*.h
%{_includedir}/freeipmi/sensor-read/*.h
%{_includedir}/freeipmi/spec/*.h
%{_includedir}/freeipmi/spec/oem/*.h
%{_includedir}/freeipmi/templates/*.h
%{_includedir}/freeipmi/templates/oem/*.h
%{_includedir}/freeipmi/util/*.h
%{_libdir}/pkgconfig/*
%{_mandir}/man3/*

%files bmc-watchdog
%doc %{_defaultdocdir}/%{name}/COPYING.bmc-watchdog
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.bmc-watchdog
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.bmc-watchdog.UC
%config(noreplace) %{_sysconfdir}/sysconfig/bmc-watchdog
%{_unitdir}/bmc-watchdog.service
%{_sbindir}/bmc-watchdog
%{_mandir}/man8/bmc-watchdog.8*

%files ipmidetectd
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/freeipmi/ipmidetectd.conf
%{_unitdir}/ipmidetectd.service
%{_sbindir}/ipmidetectd
%{_mandir}/man5/ipmidetectd.conf.5*
%{_mandir}/man8/ipmidetectd.8*

%files ipmiseld
%doc %{_defaultdocdir}/%{name}/COPYING.ipmiseld
%doc %{_defaultdocdir}/%{name}/DISCLAIMER.ipmiseld
%{_unitdir}/ipmiseld.service
%attr(0600,root,root) %config(noreplace) %{_sysconfdir}/freeipmi/ipmiseld.conf
%{_sbindir}/ipmiseld
%dir %{_localstatedir}/cache/ipmiseld
%{_mandir}/man5/ipmiseld.conf.5*
%{_mandir}/man8/ipmiseld.8*

%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.10-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.10-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.10-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Mar 9 2023 Shuo Wang <abushwang@tencent.com> - 1.6.10-1
- initial build
